<div class="container">
    <div mat-dialog-title>
        <h3>Update Model</h3>
    </div>


    <form class="mat-dialog-content" [formGroup]="form">
        <fieldset class="form">
            <legend>Model Code</legend>
            <!-- Code Input -->
            <div class="form">
                <mat-form-field color="accent">
                    <input matInput placeholder="Code" (blur)="onBlur()" name="Code" #inputCode
                        class="form-control" formControlName="code" required>
                    <mat-error *ngIf="formControl.invalid">{{getErrorMessage()}}</mat-error>
                    <mat-hint align="end">{{inputCode.value?.length || 0}}/10</mat-hint>
                </mat-form-field>
                <!-- Language Input -->
                <mat-form-field color="accent">
                    <mat-select #input class="form-control" formControlName="language" 
                        placeholder="Language">
                        <mat-option value="{{selectedlanguage.value}}" name="language">
                            Old Value :{{selectedlanguage.viewValue}}
                        </mat-option>
                        <mat-option *ngFor="let lan of language" [value]="lan.value">
                            {{lan.viewValue}}
                        </mat-option>
                    </mat-select>
                    <mat-error *ngIf="formControl.invalid">{{getErrorMessage()}}</mat-error>
                </mat-form-field>
            </div>
            <!-- Company Input -->
            <div class="form">
                <mat-form-field color="accent">
                    <mat-select #input class="form-control" formControlName="companyName" placeholder="Company">
                        <mat-option value="{{selectedcompany.value}}">
                            Old Value :{{selectedcompany.viewValue}}
                        </mat-option>
                        <mat-option *ngFor="let company of company" placeholder="Company" [value]="company.value"
                            name="companyName" (blur)="onBlur()">
                            {{company.viewValue}}
                        </mat-option>
                    </mat-select>
                    <mat-error *ngIf="formControl.invalid">{{getErrorMessage()}}</mat-error>
                </mat-form-field>

                <!-- Application Input -->
                <mat-form-field color="accent">
                    <mat-select #input class="form-control" formControlName="applicationName" placeholder="Application">
                        <mat-option value="{{selectedapplication.value}}">
                            Old Value :{{selectedapplication.viewValue}}
                        </mat-option>
                        <mat-option *ngFor="let application of application" placeholder="Application"
                            [value]="application.value" name="applicationName" (blur)="onBlur()">
                            {{application.viewValue}}
                        </mat-option>
                    </mat-select>
                    <mat-error *ngIf="formControl.invalid">{{getErrorMessage()}}</mat-error>
                </mat-form-field>
            </div>
        </fieldset><br>
        <fieldset class="form">
            <legend>Model Details</legend>
            <div class="form">
                <mat-form-field color="accent">
                    <input matInput placeholder="Subject" #input class="form-control" formControlName="modelSubject"
                        name="modelSubject" (blur)="onBlur()" required>
                    <mat-error *ngIf="formControl.invalid">{{getErrorMessage()}}</mat-error>
                </mat-form-field>
            </div>
            <div class="form">
                <mat-form-field color="accent">
                    <input matInput placeholder="Header" #input class="form-control" formControlName="preHeader"
                        name="preHeader" (blur)="onBlur()" required>
                    <mat-error *ngIf="formControl.invalid">{{getErrorMessage()}}</mat-error>
                </mat-form-field>
            </div>
            <div class="form">
                <mat-form-field>
                    <mat-label>Content</mat-label>
                    <textarea matInput #input class="form-control" placeholder="Content" formControlName="content"
                        [ngxSummernote]="config"
                        [ngxSummernoteView]="form.get('content').value" name="Content" (blur)="onBlur()"
                        id="content">
                                                </textarea>
                </mat-form-field>
            </div>
            <div class="form">
                <mat-form-field>
                    <mat-label>Footer</mat-label>
                    <textarea matInput #input class="form-control" formControlName="footer" name="footer"
                        placeholder="Footer" [ngxSummernote]="config"
                        (blur)="onBlur()" id="footer">
                                        </textarea>
                </mat-form-field>
            </div>

        </fieldset>


        <div mat-dialog-actions>
            <button mat-button [disabled]="!form.valid" [mat-dialog-close]="1"
                (click)="confirmUpdate()">Save</button>
            <button mat-button (click)="onNoClick()" tabindex="-1">Cancel</button>
        </div>
    </form>

</div>